"use strict";

$(function() {    
    $("#search-input").on('input', function(e) {
        if($("#search-input").val().length) {
            $("#search-input-cancel").show();
        }
        else {
            $("#search-input-cancel").hide();
        }
    });
    $("#search-input-cancel").click(function(e) {
        if($("#search-input").val().length) {
            $("#search-input").val("");
            $("#search-input-cancel").hide();
        }
    });
    
});

var project_ids = {
  "0" : "49bd6124-3b21-11e3-a863-00145ea4a2be",
  "1r" : "2a7b8bde-3af8-11e3-a863-00145ea4a2be",
  "2r" : "0f2c892c-3af9-11e3-a863-00145ea4a2be",
  "3r" : "e48881ce-3b1d-11e3-a863-00145ea4a2be",
  "4r" : "94b99f56-3b1e-11e3-a863-00145ea4a2be",
  "5r" : "ab17cb92-3b1e-11e3-a863-00145ea4a2be",
  "6r" : "ca23cbb2-3b1e-11e3-a863-00145ea4a2be",
  "7r" : "9f58e02e-3b1f-11e3-a863-00145ea4a2be",
  "full" : "90be1ecc-363c-11e3-98be-00145ea4a2be",
};

Function.prototype.curry = function() {
    var fn = this, args = Array.prototype.slice.call(arguments);
    return function() {
      return fn.apply(this, args.concat(
        Array.prototype.slice.call(arguments)));
    };
  };
